Ask Your Question
0

ros2 interface command dosen't work

asked 2019-11-18 04:38:27 -0600

sagiw2@yahoo.com gravatar image

updated 2019-11-24 13:32:37 -0600

Hello, I'm fairly new to ros so I might be missing something obvious.

During the ros2 tutorial I need to type the command 'ros2 interface', you can see in the image below that I get an error message for that command. After some trial and error, I found a workaround for that command but when I typed it I got a message that I should use the interface command instead. I use ros2 eloquent.

~$ ros2 interface show geometry_msgs/msg/Twist.msg
usage: ros2 [-h] Call `ros2 <command> -h` for more detailed usage. ...
ros2: error: argument Call `ros2 <command> -h` for more detailed usage.: invalid choice: 'interface' (choose from 'action', 'component', 'daemon', 'extension_points', 'extensions', 'launch', 'lifecycle', 'msg', 'multicast', 'node', 'param', 'pkg', 'run', 'security', 'service', 'srv', 'topic')

~$ ros2 msg show geometry_msgs/msg/Twist
/opt/ros/eloquent/lib/python3.6/site-packages/ros2msg/verb/show.py:49: UserWarning: 'ros2 msg' is deprecated and will be removed in a future ROS release. Instead use: 'ros2 interface show geometry_msgs/msg/Twist.msg'
  "'ros2 msg' is deprecated and will be removed in a future ROS release. "
# This expresses velocity in free space broken into its linear and angular parts.

Vector3  linear
Vector3  angular

Is there some missing package on my pc? or something I can do to be able to use the 'ros2 interface command'

Thanks in advance

edit1: added code in text form

edit retag flag offensive close merge delete

Comments

Please do not (try to) post images of code or consoles (with error text). It's all text, so copy-paste it into your question.

Review the Support Guidelines, specifically the sections about not posting screenshots of code or console text.

gvdhoorn gravatar imagegvdhoorn ( 2019-11-18 05:40:03 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-11-18 11:44:39 -0600

Hello,

Eloquent is a future release, planned for Nov 22, 2019. So, the code-base might still be a work in progress.

I think this is one of the planned deprecation items in ROS2CLI.

(sorry meant to add a comment - not answer)

edit flag offensive delete link more

Comments

Tested it today and it worked, thanks

sagiw2@yahoo.com gravatar imagesagiw2@yahoo.com ( 2019-11-24 13:34:30 -0600 )edit

This is correct. ros2 interface is only available if you are using Eloquent or later.

jacobperron gravatar imagejacobperron ( 2019-11-27 15:27:41 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-11-18 04:38:27 -0600

Seen: 60 times

Last updated: Nov 24